/* -*- mode: C; c-file-style: "k&r"; -*-
 *---------------------------------------------------------------------------*
 *
 * Copyright (c) 2000, Johan Bengtsson
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 *---------------------------------------------------------------------------*
 * patch by Wendelin Serwe for 64 bit machines - Tue Jul  7 10:34:30 CEST 2009
 * increased size of variables from "unsigned int" to "unsigned long" to avoid
 * integer overflows
 *---------------------------------------------------------------------------*/

#ifndef MACHDEP_H
#define MACHDEP_H
 
struct memtime_info {
     unsigned long utime_ms;
     unsigned long stime_ms;
     unsigned long rss_kb;
     unsigned long vsize_kb;
};

int init_machdep(pid_t process);
int get_sample(struct memtime_info *info);
unsigned long get_time();
int set_mem_limit(long int maxbytes);
int set_cpu_limit(long int maxseconds);
#endif /* MACHDEP_H */
